curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
identifiers: [
{
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'identifiers' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetStockInfoResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"stock_info": [
{
"key": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"identifier_type": "Derivitec",
"market_identification_code": "<string>"
},
"value": {
"id": "<string>",
"name": "<string>",
"ric": "<string>",
"$type": "Derivitec.Web.Core.MarketData.StockInfo, Derivitec.Web.Core",
"asset_ratio_against": 123,
"asset_ratio_for": 123,
"bbg_code": "<string>",
"cik": "<string>",
"consolidated_id": "<string>",
"is_listed_primary_issue": true,
"country": "<string>",
"country_of_domicile": "<string>",
"country_of_incorporation": "<string>",
"country_of_risk": "<string>",
"currency": "<string>",
"cusip": "<string>",
"isin": "<string>",
"issuer_id": "<string>",
"issuer_name": "<string>",
"market_identification_code": "<string>",
"operating_mic": "<string>",
"morning_star_industry": "<string>",
"morning_star_industry_group": "<string>",
"reuters_issuer_org_id": "<string>",
"region_of_domicile": "<string>",
"region_of_incorporation": "<string>",
"region_of_risk": "<string>",
"sector": "<string>",
"share_class": "<string>",
"stock_lag": 123,
"suspended": true,
"valoren": "<string>",
"voting_rights_per_share": 123,
"x_ignite_option_code": "<string>",
"x_ignite_stock_code": "<string>",
"x_ignite_option_file_code": "<string>",
"option_metrics_security_id": "<string>",
"option_metrics_exchange_id": "<string>",
"edi_sec_id": "<string>",
"edi_symbol": "<string>",
"provider_id": "<string>"
}
}
]
}Retrieve client-visible stock reference details.
Use this operation to retrieve reference details such as name, currency, listing venue, geography, sector, and share attributes for requested equity identifiers. Repeated identifiers do not produce repeated entries. The response exposes the supported attributes and reports unsupported identifiers.
curl --request POST \
--url https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"$type": "Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
]
}
'import requests
url = "https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo"
payload = {
"$type": "Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core",
"market_data_environment_name": "Example market data",
"provider_id": "<string>",
"identifiers": [
{
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"market_identification_code": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
$type: 'Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core',
market_data_environment_name: 'Example market data',
provider_id: '<string>',
identifiers: [
{
$type: 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
code: '<string>',
market_identification_code: '<string>'
}
]
})
};
fetch('https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'$type' => 'Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core',
'market_data_environment_name' => 'Example market data',
'provider_id' => '<string>',
'identifiers' => [
[
'$type' => 'Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core',
'code' => '<string>',
'market_identification_code' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json-patch+json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo"
payload := strings.NewReader("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json-patch+json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json-patch+json")
.body("{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.riskportal.activeviam.com/api/MarketData/GetStockInfo")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json-patch+json'
request.body = "{\n \"$type\": \"Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core\",\n \"market_data_environment_name\": \"Example market data\",\n \"provider_id\": \"<string>\",\n \"identifiers\": [\n {\n \"$type\": \"Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core\",\n \"code\": \"<string>\",\n \"market_identification_code\": \"<string>\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"$type": "Derivitec.Web.Core.MarketData.ApiGetStockInfoResponse, Derivitec.Web.Core",
"is_success": true,
"error_messages": [
"<string>"
],
"stock_info": [
{
"key": {
"$type": "Derivitec.Web.Core.MarketData.InstrumentIdentifier, Derivitec.Web.Core",
"code": "<string>",
"identifier_type": "Derivitec",
"market_identification_code": "<string>"
},
"value": {
"id": "<string>",
"name": "<string>",
"ric": "<string>",
"$type": "Derivitec.Web.Core.MarketData.StockInfo, Derivitec.Web.Core",
"asset_ratio_against": 123,
"asset_ratio_for": 123,
"bbg_code": "<string>",
"cik": "<string>",
"consolidated_id": "<string>",
"is_listed_primary_issue": true,
"country": "<string>",
"country_of_domicile": "<string>",
"country_of_incorporation": "<string>",
"country_of_risk": "<string>",
"currency": "<string>",
"cusip": "<string>",
"isin": "<string>",
"issuer_id": "<string>",
"issuer_name": "<string>",
"market_identification_code": "<string>",
"operating_mic": "<string>",
"morning_star_industry": "<string>",
"morning_star_industry_group": "<string>",
"reuters_issuer_org_id": "<string>",
"region_of_domicile": "<string>",
"region_of_incorporation": "<string>",
"region_of_risk": "<string>",
"sector": "<string>",
"share_class": "<string>",
"stock_lag": 123,
"suspended": true,
"valoren": "<string>",
"voting_rights_per_share": 123,
"x_ignite_option_code": "<string>",
"x_ignite_stock_code": "<string>",
"x_ignite_option_file_code": "<string>",
"option_metrics_security_id": "<string>",
"option_metrics_exchange_id": "<string>",
"edi_sec_id": "<string>",
"edi_symbol": "<string>",
"provider_id": "<string>"
}
}
]
}Authorizations
OAuth2 access-token requested from AWS Cognito and provided as a Auth Bearer header
Body
The query payload containing a non-empty collection of equity Identifiers. Returned details are limited to those available to the caller's organisation or in shared Derivitec reference data.
Queries equity reference details by structured equity selector.
Derivitec.Web.Core.MarketData.ApiGetStockInfoRequest, Derivitec.Web.Core Name of the market-data environment to use. Supply either this name or provider_id, not both.
"Example market data"
Opaque identifier of the market-data provider to use. Supply either this identifier or market_data_environment_name, not both.
Equity selectors whose reference details are requested.
Instrument code qualified by an identifier namespace and optional market code.
- Option 1
- Option 2
Show child attributes
Show child attributes
Response
Returns available stock reference details keyed by input identifier and any unsupported-identifier or retrieval errors.
Returns equity reference details keyed by the requested instrument selectors.
Derivitec.Web.Core.MarketData.ApiGetStockInfoResponse, Derivitec.Web.Core Whether the operation completed successfully. The default is true; error outcomes set it to false.
true
Messages explaining operation-level failures. The collection is empty by default.
Equity reference details keyed by the requested instrument selectors.
Show child attributes
Show child attributes
Was this page helpful?